<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		pedro.garcia
@modified		fabio.navarrete
@modified 		lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2 
@version 		2.0
@description  	página que permite enviar los trámites al responsable de conservación
@cu 			CU-CO-R-10

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Enviar al responsable de conservación::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />

        <p:messages id="msgsEnviarARespConserv" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form id="enviarARespConservForm">

            <p:dataTable value="#{envioAAsignacion.tramites}" var="tramiteVar" widgetVar="tramiteWV"
                         id="revDocumentosDigitalizarDT" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         selection="#{envioAAsignacion.selectedTramites}"
                         emptyMessage="No se encontraron trámites"
                         rowKey="#{tramiteVar.id}">
                <f:facet name="header">Trámites</f:facet>

                <p:column selectionMode="multiple" id="checkCln"></p:column>

                <p:column headerText="Detalle">
                    <p:commandButton title="Ver detalles del trámite"
                                     update=":detalleTramiteEjecutarForm" icon="ui-icon-search"
                                     immediate="true" oncomplete="detalleTramiteEjecutarWV.show()"
                                     process="@this">
                        <f:setPropertyActionListener value="#{tramiteVar}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Número de solicitud"  >
                    <h:outputText styleClass="outputTextStyleInTable"
                                  value="#{tramiteVar.solicitud.numero}" />
                </p:column>

                <p:column headerText="Fecha de solicitud"  >
                    <h:outputText styleClass="outputTextStyleInTable"
                                  value="#{tramiteVar.solicitud.fecha}" >
                        <f:convertDateTime pattern="#{general.formatoFechaHora}" locale="es_CO"
                                           timeZone="GMT-5" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Número de radicación"  
                          sortBy="#{tramiteVar.numeroRadicacion}" 
                          filterBy="#{tramiteVar.numeroRadicacion}"
                          filterMatchMode="contains"
                          id="numeroRadicacionCln">
                    <h:outputText styleClass="outputTextStyleInTable"
                                  value="#{tramiteVar.numeroRadicacion}" />
                </p:column>

                <p:column headerText="Fecha de radicación" filterBy="#{tramiteVar.fechaRadicacion}"
                          sortBy="#{tramiteVar.fechaRadicacion}">
                    <h:outputText styleClass="outputTextStyleInTable"
                                  value="#{tramiteVar.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Derecho Petición/Tutela" >
                    <p:commandLink styleClass="commandLinkStyleInTable"
                                   oncomplete="detalleSolicitudEjecutarWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText value="#{tramiteVar.formaPeticionTramite}"
                                      />
                        <f:setPropertyActionListener
                            value="#{tramiteVar.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>
                </p:column>

                <p:column headerText="Tipo de trámite" sortBy="#{tramiteVar.tipoTramite}" >
                    <h:outputText id="TramiteTipoTramiteV"
                                  styleClass="outputTextStyleInTable"
                                  value="#{tramiteVar.tipoTramiteCadenaCompleto}">
                    </h:outputText>
                </p:column>

            </p:dataTable>

            <p:spacer height="10" width="0" />

            <h:panelGrid>
                <h:panelGrid columns="2" rendered="false">
                    <h:outputLabel value="Motivo devolución:"
                                   styleClass="outputLabelStyle" />
                    <h:inputTextarea cols="100" rows="3"
                                     onkeydown="controlarNroChars(this, 600, true);"
                                     onkeyup="controlarNroChars(this, 600, true);"
                                     value="#{envioAAsignacion.motivoDevolucion}" />
                </h:panelGrid>
                <h:panelGrid columns="3" cellspacing="">
                    <p:commandButton value="Enviar al responsable"
                                     ajax="false" title="Enviar al responsable de conservación"
                                     onclick="if (tramiteWV.selection.length === 0) {
                                                 alert('Debe seleccionar al menos un trámite para enviarlo al Responsable de Conservación');
                                                 return false;
                                             } else {
                                                 statusDialog2.show();
                                             }" 
                                     icon="ui-icon-seek-next"
                                     action="#{envioAAsignacion.enviarResponsableConservacion}" 
                                     id="enviarResponsableBtn"/>
                    <p:commandButton value="Por revisar digitalización"
                                     rendered="false" title="Por revisar digitalización"
                                     icon="ui-icon-arrowthick-1-w"
                                     action="#{envioAAsignacion.enviarRevisarDigitalizacion}"
                                     onclick="statusDialog2.show();" ajax="false" />

                </h:panelGrid>
            </h:panelGrid>

            <p:separator style="width:90%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 onclick="statusDialog2.show();"
                                 action="#{envioAAsignacion.cerrar}" ajax="false" immediate="true" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>


        </h:form>

        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />
        <ui:include src="/util/visorGeografico.xhtml" />	
    </ui:define>
</ui:composition>